LocalCache wraps a Map<string, Buffer> to be used by the Marshaller.

### Hierarchy

- LocalCache

### Implements

- IStorage

## Index

### Properties

- cache

### Methods

- get
- set

## Properties

### Private cache

cache: Map<string, Buffer> = new Map<string, Buffer>()

- Defined in src/byzcoin/byzcoin-rpc.ts:708

## Methods

### get

- get(key: string): Promise<Buffer | undefined>

- Implementation of IStorage.get

  - Defined in src/byzcoin/byzcoin-rpc.ts:710

  #### Parameters

  - ##### key: string

  #### Returns Promise<Buffer | undefined>

### set

- set(key: string, value: Buffer): Promise<void>

- Implementation of IStorage.set

  - Defined in src/byzcoin/byzcoin-rpc.ts:714

  #### Parameters

  - ##### key: string

  - ##### value: Buffer

  #### Returns Promise<void>

Generated using TypeDoc